!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Module FileSet
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: fileset.f90,v 1.3 2005/02/02 09:53:48 odakker Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!NAMELIST ファイル名を設定し, deepconv/arare の出力ファイルを
!NAMELIST から得るためのモジュール
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end
module fileset
  implicit none
  save
                                                                 !=begin
  !=== Public Data
  character(80) :: cfgfile    = "arare.conf"  !設定ファイル

  !=== Public Interface
  character(80) :: fs_RegFile             !出力 nc ファイル
  character(80) :: sf_RegFile             !出力 nc ファイル
  character(80) :: ss_RegFile             !出力 nc ファイル
  character(80) :: fs_DimFile             !出力 nc ファイル
  character(80) :: sf_DimFile             !出力 nc ファイル
  character(80) :: ss_DimFile             !出力 nc ファイル
  character(80) :: basicfile              !基本場の nc ファイル
  character(80) :: distrbfile             !擾乱場の nc ファイル
                                                                 !=end
contains
                                                                 !=begin
  !== Procedure Interface 
  !
  !=== Initialize module and acquire NAMELIST
  !
  !NAMELIST からファイル名に付けるタグを得て, 出力ファイル名を作成する. 
  !
  subroutine fileset_init
                                                                 !=end
    character(80) :: flag
                                                                 !=begin
    !=== NAMELIST
    NAMELIST /fileset/ flag, basicfile, distrbfile

    open (10, FILE=cfgfile)
    read(10, NML=fileset)
    close(10)
                                                                 !=end
    fs_RegFile = "arare_fs-"     // trim(flag) // ".nc"
    sf_RegFile = "arare_sf-"     // trim(flag) // ".nc"
    ss_RegFile = "arare_ss-"     // trim(flag) // ".nc"
    fs_DimFile = "arare_dim_fs-" // trim(flag) // ".nc"
    sf_DimFile = "arare_dim_sf-" // trim(flag) // ".nc"
    ss_DimFile = "arare_dim_ss-" // trim(flag) // ".nc"
    
  end subroutine fileset_init
  
end module fileset
